%global realname jiffy
%define _disable_ld_no_undefined 1

Name:           erlang-%{realname}
Version:        1.0.6
Release:        %mkrel 1
Summary:        Erlang JSON parser
Group:          Development/Erlang
License:        MIT and BSD
URL:            https://github.com/davisp/%{realname}
Source0:	https://github.com/davisp/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
# Use double conversion from the system instead of the bundled one
Patch1:         erlang-jiffy-0001-Use-system-double-conversion.patch
BuildRequires:  erlang-rebar
BuildRequires:  gcc-c++
BuildRequires:  double-conversion-devel
Provides:       %{realname} = %{version}
Obsoletes:      %{realname} < %{version}

%description
A JSON parser for Erlang implemented as a NIF.


%prep
%autosetup -p 1 -n %{realname}-%{version}
# Use double conversion from the system instead of the bundled one
rm -r c_src/double-conversion


%build
%{erlang_compile}


%install
%{erlang_install}


#check
#{erlang_test}


%files
%{erlang_appdir}/
%doc README.md
%license LICENSE



%changelog
* Mon Dec 21 2020 neoclust <neoclust> 1.0.6-1.mga8
+ Revision: 1662496
- New version 1.0.6

* Sat Dec 19 2020 neoclust <neoclust> 1.0.5-1.mga8
+ Revision: 1661397
- New version 1.0.5

* Sun Feb 16 2020 umeabot <umeabot> 0.15.0-3.mga8
+ Revision: 1534818
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1450064
- rebuild for new double-conversion 3.1.5

* Sat Sep 22 2018 wally <wally> 0.15.0-1.mga7
+ Revision: 1296233
- new version 0.15.0

* Fri May 06 2016 neoclust <neoclust> 0.14.8-2.mga6
+ Revision: 1009839
- imported package erlang-jiffy

